<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Tue Jul 10 19:18:44 BRT 2018 -->
<title>Serialized Form</title>
<meta name="date" content="2018-07-10">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;&lt;Unnamed&gt;</h2>
<ul class="blockList">
<li class="blockList"><a name="Aluno">
<!--   -->
</a>
<h3>Class <a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>matricula</h4>
<pre>java.lang.String matricula</pre>
</li>
<li class="blockList">
<h4>nome</h4>
<pre>java.lang.String nome</pre>
</li>
<li class="blockList">
<h4>participa</h4>
<pre>boolean participa</pre>
</li>
<li class="blockList">
<h4>faltas</h4>
<pre>int faltas</pre>
</li>
<li class="blockList">
<h4>atividades</h4>
<pre>int atividades</pre>
</li>
<li class="blockList">
<h4>newGame</h4>
<pre><a href="Gamification.html" title="class in &lt;Unnamed&gt;">Gamification</a> newGame</pre>
</li>
<li class="blockListLast">
<h4>notas</h4>
<pre>java.util.ArrayList&lt;E&gt; notas</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="AlunoJogador">
<!--   -->
</a>
<h3>Class <a href="AlunoJogador.html" title="class in &lt;Unnamed&gt;">AlunoJogador</a> extends <a href="Aluno.html" title="class in &lt;Unnamed&gt;">Aluno</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>codigoID</h4>
<pre>int codigoID</pre>
</li>
<li class="blockList">
<h4>senha</h4>
<pre>java.lang.String senha</pre>
</li>
<li class="blockList">
<h4>nomeUsuario</h4>
<pre>java.lang.String nomeUsuario</pre>
</li>
<li class="blockList">
<h4>classe</h4>
<pre>java.lang.String classe</pre>
</li>
<li class="blockList">
<h4>xp</h4>
<pre>int xp</pre>
</li>
<li class="blockList">
<h4>level</h4>
<pre>int level</pre>
</li>
<li class="blockListLast">
<h4>conquistas</h4>
<pre>java.util.ArrayList&lt;E&gt; conquistas</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="FrameInterface">
<!--   -->
</a>
<h3>Class <a href="FrameInterface.html" title="class in &lt;Unnamed&gt;">FrameInterface</a> extends java.awt.Component implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>javax.swing.JButton save</pre>
</li>
<li class="blockList">
<h4>cancel</h4>
<pre>javax.swing.JButton cancel</pre>
</li>
<li class="blockList">
<h4>cadastro</h4>
<pre>javax.swing.JButton cadastro</pre>
</li>
<li class="blockList">
<h4>gravar</h4>
<pre>javax.swing.JButton gravar</pre>
</li>
<li class="blockList">
<h4>cod</h4>
<pre>javax.swing.JButton cod</pre>
</li>
<li class="blockList">
<h4>conq</h4>
<pre>javax.swing.JButton conq</pre>
</li>
<li class="blockList">
<h4>remove</h4>
<pre>javax.swing.JButton remove</pre>
</li>
<li class="blockList">
<h4>myFrame</h4>
<pre>javax.swing.JFrame myFrame</pre>
</li>
<li class="blockList">
<h4>matricula</h4>
<pre>javax.swing.JTextField matricula</pre>
</li>
<li class="blockList">
<h4>faltas</h4>
<pre>javax.swing.JTextField faltas</pre>
</li>
<li class="blockList">
<h4>nomeAluno</h4>
<pre>javax.swing.JTextField nomeAluno</pre>
</li>
<li class="blockList">
<h4>notas</h4>
<pre>javax.swing.JTextField notas</pre>
</li>
<li class="blockList">
<h4>atividades</h4>
<pre>javax.swing.JTextField atividades</pre>
</li>
<li class="blockList">
<h4>yes</h4>
<pre>javax.swing.JRadioButton yes</pre>
</li>
<li class="blockList">
<h4>no</h4>
<pre>javax.swing.JRadioButton no</pre>
</li>
<li class="blockList">
<h4>bp</h4>
<pre>javax.swing.ButtonGroup bp</pre>
</li>
<li class="blockList">
<h4>rb</h4>
<pre>boolean rb</pre>
</li>
<li class="blockList">
<h4>newGame</h4>
<pre><a href="Gamification.html" title="class in &lt;Unnamed&gt;">Gamification</a> newGame</pre>
</li>
<li class="blockListLast">
<h4>nota</h4>
<pre>java.util.ArrayList&lt;E&gt; nota</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="Gamification">
<!--   -->
</a>
<h3>Class <a href="Gamification.html" title="class in &lt;Unnamed&gt;">Gamification</a> extends java.util.Observable implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>xpAluno</h4>
<pre>int xpAluno</pre>
</li>
<li class="blockList">
<h4>levelAluno</h4>
<pre>int levelAluno</pre>
</li>
<li class="blockListLast">
<h4>professor</h4>
<pre><a href="Professor.html" title="class in &lt;Unnamed&gt;">Professor</a> professor</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="PlayerInterface">
<!--   -->
</a>
<h3>Class <a href="PlayerInterface.html" title="class in &lt;Unnamed&gt;">PlayerInterface</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>nick</h4>
<pre>javax.swing.JTextField nick</pre>
</li>
<li class="blockList">
<h4>id</h4>
<pre>javax.swing.JTextField id</pre>
</li>
<li class="blockList">
<h4>pass</h4>
<pre>javax.swing.JPasswordField pass</pre>
</li>
<li class="blockList">
<h4>classes</h4>
<pre>javax.swing.JComboBox&lt;E&gt; classes</pre>
</li>
<li class="blockList">
<h4>modUser</h4>
<pre>javax.swing.JButton modUser</pre>
</li>
<li class="blockList">
<h4>modPass</h4>
<pre>javax.swing.JButton modPass</pre>
</li>
<li class="blockList">
<h4>ranking</h4>
<pre>javax.swing.JButton ranking</pre>
</li>
<li class="blockList">
<h4>individualPoints</h4>
<pre>javax.swing.JButton individualPoints</pre>
</li>
<li class="blockListLast">
<h4>salvar</h4>
<pre>javax.swing.JButton salvar</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="Professor">
<!--   -->
</a>
<h3>Class <a href="Professor.html" title="class in &lt;Unnamed&gt;">Professor</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList">
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>codigo</h4>
<pre>int codigo</pre>
</li>
<li class="blockList">
<h4>nome</h4>
<pre>java.lang.String nome</pre>
</li>
<li class="blockList">
<h4>cpf</h4>
<pre>java.lang.String cpf</pre>
</li>
<li class="blockList">
<h4>alunos</h4>
<pre>java.util.ArrayList&lt;E&gt; alunos</pre>
</li>
<li class="blockListLast">
<h4>jogadores</h4>
<pre>java.util.ArrayList&lt;E&gt; jogadores</pre>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="ProfName">
<!--   -->
</a>
<h3>Class <a href="ProfName.html" title="class in &lt;Unnamed&gt;">ProfName</a> extends java.lang.RuntimeException implements Serializable</h3>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
